Bug 122237 - [ALSA] ogg123: pcm.c:5896: snd_pcm_mmap_commit: Assertion failure
[ALSA] ogg123: pcm.c:5896: snd_pcm_mmap_commit: Assertion failure
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: vorbis-tools (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-02 08:22 EDT by Laurent GUERBY
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-19 15:14:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
splash.ogg (68.14 KB, text/plain)
2004-05-02 08:23 EDT, Laurent GUERBY
no flags Details

  None (edit)
Description Laurent GUERBY 2004-05-02 08:22:39 EDT
Description of problem:
ogg123 assertion failure (was working on FC1). I'm attaching
the file (taken from FC1).


Additional info:
$ ogg123 splash.ogg
 
Audio Device:   Advanced Linux Sound Architecture (ALSA) output
 
Playing: splash.ogg
Ogg Vorbis stream: 2 channel, 44100 Hz
ogg123: pcm.c:5896: snd_pcm_mmap_commit: Assertion `frames <=
snd_pcm_mmap_avail(pcm)' failed.
Aborted
[guerby@acer ftp]$ ls -l splash.ogg
-rw-r--r--  1 guerby guerby 69777 May  2 14:26 splash.ogg
Comment 1 Laurent GUERBY 2004-05-02 08:23:08 EDT
Created attachment 99879 [details]
splash.ogg
Comment 2 Colin Walters 2004-05-14 14:19:32 EDT
What sound card do you have?  If you're not sure, do "lspci" and look
for a line that had "audio" or "sound".
Comment 3 Laurent GUERBY 2004-05-14 15:10:26 EDT
Here it comes:

# lspci -n
0000:00:00.0 Class 0600: 1106:3205
0000:00:01.0 Class 0604: 1106:b168
0000:00:07.0 Class 0607: 104c:ac50 (rev 02)
0000:00:08.0 Class 0c00: 104c:8026
0000:00:10.0 Class 0c03: 1106:3038 (rev 80)
0000:00:10.1 Class 0c03: 1106:3038 (rev 80)
0000:00:10.2 Class 0c03: 1106:3038 (rev 80)
0000:00:10.3 Class 0c03: 1106:3104 (rev 82)
0000:00:11.0 Class 0601: 1106:3177
0000:00:11.1 Class 0101: 1106:0571 (rev 06)
0000:00:11.5 Class 0401: 1106:3059 (rev 50)
0000:00:11.6 Class 0780: 1106:3068 (rev 80)
0000:00:12.0 Class 0200: 1106:3065 (rev 74)
0000:01:00.0 Class 0300: 1106:7205 (rev 01)
# lspci
0000:00:00.0 Host bridge: VIA Technologies, Inc.: Unknown device 3205
0000:00:01.0 PCI bridge: VIA Technologies, Inc. VT8235 PCI Bridge
0000:00:07.0 CardBus bridge: Texas Instruments PCI1410 PC card Cardbus
Controller (rev 02)
0000:00:08.0 FireWire (IEEE 1394): Texas Instruments TSB43AB21
IEEE-1394a-2000 Controller (PHY/Link)
0000:00:10.0 USB Controller: VIA Technologies, Inc. USB (rev 80)
0000:00:10.1 USB Controller: VIA Technologies, Inc. USB (rev 80)
0000:00:10.2 USB Controller: VIA Technologies, Inc. USB (rev 80)
0000:00:10.3 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 82)
0000:00:11.0 ISA bridge: VIA Technologies, Inc. VT8235 ISA Bridge
0000:00:11.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT8233/A/C/VT8235 PIPC Bus Master IDE (rev 06)
0000:00:11.5 Multimedia audio controller: VIA Technologies, Inc.
VT8233/A/8235 AC97 Audio Controller (rev 50)
0000:00:11.6 Communication controller: VIA Technologies, Inc. Intel
537 [AC97 Modem] (rev 80)
0000:00:12.0 Ethernet controller: VIA Technologies, Inc. VT6102
[Rhine-II] (rev 74)
0000:01:00.0 VGA compatible controller: VIA Technologies, Inc.:
Unknown device 7205 (rev 01)

I tried SuSE 9.1 LiveCD and sound was working perfectly.

Laurent
Comment 4 Colin Walters 2004-05-17 17:28:19 EDT
Ok.

Can you try upgrading to the alsa-lib 1.0.4 RPM from here?
http://people.redhat.com/~walters/alsa/
Comment 5 Laurent GUERBY 2004-05-17 17:48:40 EDT
I installed Suse 9.1 Professional on the machine and must have
mistakenly told the installer to format /boot, so I can't boot my
FC2t3 partition anymore (no kernel). I will try FC2 + your RPM once
it's out and I manage to download it, sorry for the delay. 

And I'm hoping I won't scratch my SuSE install (which somewhat manage
to make about everything work including sound).

Meanwhile, for non expert installers like me, it would be great
to take into account one wish I made in december:

http://www.redhat.com/archives/fedora-devel-list/2003-December/msg00344.html

<<
- If installer sees a big disk (say >= 80GB), recommand to reserve
a partition (say ~ 8GB) so that it's easy for a not that technical
user to test FC3 betas when they're out without risking
too much of their system. The idea being that
FC3 betas are able to detect this partition, install
themselves there, add their entry to the existing
grub and don't otherwise touch other partitions. This might
increase the feedback on betas and help form a tester community
with more end users. I don't know if this is a goal,
but this might help for 2.6 kernels and various hardware,
or brand new GNOME/KDE versions, etc...
>>

But well, not directly related to ALSA :) :)

Laurent
Comment 6 Colin Walters 2004-05-17 18:03:57 EDT
Ok, it would be great if you could let me know what happens, I don't
have access to any hardware that tickles this bug in alsa.
Comment 7 Laurent GUERBY 2004-05-19 15:01:21 EDT
No problem with sound in the FC2 release on this machine, the ogg file
plays as expected, you can close this report :). I did not try the
newer alsa.

Laurent
Comment 8 Colin Walters 2004-05-19 15:14:09 EDT
Great, thanks.

Note You need to log in before you can comment on or make changes to this bug.